﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MissionObserver : MonoBehaviour {


    [SerializeField]
    MissionManager missionManager;

    [SerializeField]
    MissionViewer missionViewer;

    int missionIndex = 0;

	// Use this for initialization.
	void Start () {
		
	}
	
	// Update is called once per frame.
	void Update () {

		
	}

    public void ExecCheckMission()
    {

        if (CheckMission(0))
        {
            missionIndex = missionManager.ExecNextMissionAll();
            if (missionIndex == -1)
            {
                Debug.Log("実行する必要のあるミッション終了");
                SceneManager.LoadScene("Title");
            }
            else
            {
                missionViewer.ShowMission();
            }
        }
    }

    bool CheckMission(int index )
    {
        return missionManager.WhetherOrNotMissionSucceededExec(index);
    }

}
