﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MissionStructer : MonoBehaviour {

    [SerializeField]
    MissionManager missionManager;

    [SerializeField]
    pinSpawner pinSpawner;

	// Use this for initialization
	void Start () {

        // ミッション登録
        missionManager.RegistryMissionAddMissionColumn(Break3PinsMission,"ピンを3本倒せ!!");
        missionManager.RegistryMissionAddMissionColumn(Break10PinsMission, "ピンを10本倒せ!!");
        missionManager.RegistryMissionAddMissionColumn(Break30PinsMission, "ピンを30本倒せ!!");

        // 実行するミッションの登録
        missionManager.RegistryExecuteMissionNumber(new int[]{0},1);

	}
	
	// Update is called once per frame
	void Update () {
		
	}

    bool Break3PinsMission(){

        Debug.Log("ミッション成功かどうか確認中(ミッション1):倒れたピンの数"+pinSpawner.GetNowFramePinNum());
        if (pinSpawner.GetNowFramePinNum() >= 3)
        {
            return true;
        }
        return false;
    }

    bool Break10PinsMission()
    {

        Debug.Log("ミッション成功かどうか確認中(ミッション2):倒れたピンの数" + pinSpawner.GetNowFramePinNum());
        if (pinSpawner.GetNowFramePinNum() >= 10)
        {
            return true;
        }
        return false;
    }

    bool Break30PinsMission()
    {
        Debug.Log("ミッション成功かどうか確認中(ミッション3):倒れたピンの数" + pinSpawner.GetNowFramePinNum());
        if (pinSpawner.GetNowFramePinNum() >= 30)
        {
            return true;
        }
        return false;
    }

}
